import * as i0 from "@angular/core";
export declare class NgmDrawerTriggerComponent {
    readonly opened: import("@angular/core").ModelSignal<boolean>;
    readonly side: import("@angular/core").InputSignal<"right" | "left">;
    toggle(): void;
    get _opened(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgmDrawerTriggerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgmDrawerTriggerComponent, "ngm-drawer-trigger", never, { "opened": { "alias": "opened"; "required": false; "isSignal": true; }; "side": { "alias": "side"; "required": false; "isSignal": true; }; }, { "opened": "openedChange"; }, never, never, true, never>;
}
